%define emacs 1
%define xemacs 1
%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}
%{expand:%%define xemacs_version %(rpm -q xemacs|sed 's/xemacs-\([0-9].*\)-.*$/\1/')}
%define auctex 11.14-2mdk

Summary: 	Emacs/LaTeX inline preview 
Name: 		preview-latex
Version: 	0.7.8
Release: 	8mdk
BuildArchitectures: noarch
URL: 		http://preview-latex.sourceforge.org
Source0: 	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		Editors
BuildRoot: 	%{_tmppath}/%{name}-root
Prereq:		info
BuildRequires:	tetex-dvips
BuildRequires:  tetex-latex
BuildRequires:	texinfo >= 4.0
BuildRequires:  ghostscript
%if %emacs
BuildRequires:  emacs-auctex >= %auctex
BuildRequires:  emacs-X11
%endif
%if %xemacs
BuildRequires:   xemacs
%endif

%description
Does your neck hurt from turning between previewer windows and the
source too often? This Elisp/LaTeX package will render your displayed
LaTeX equations right into the editing window where they belong. 

%package common
Summary: 	Emacs/LaTeX inline preview (LaTeX style and docs)
Group: 		Editors
Requires:	ghostscript >= 6.51
Requires:	tetex-dvips

%description common
Does your neck hurt from turning between previewer windows and the
source too often? This Elisp/LaTeX package will render your displayed
LaTeX equations right into the editing window where they belong. 

This package contains the LaTeX style files and the documentation.

%package emacs
Summary:	Emacs/LaTeX inline preview (GNU Emacs lisp files)
Group: 		Editors
Requires:	%{name}-common = %{version}-%{release}
Requires:	emacs-auctex >= %auctex
Requires:	emacs-X11 = %emacs_version

%description emacs
Does your neck hurt from turning between previewer windows and the
source too often? This Elisp/LaTeX package will render your displayed
LaTeX equations right into the editing window where they belong. 

This package contains the lisp modules for GNU Emacs 21.1 or higher.

%package xemacs
Summary:	Emacs/LaTeX inline preview (XEmacs lisp files)
Group: 		Editors
Requires:	%{name}-common = %{version}-%{release}
Requires:	xemacs = %xemacs_version

%description xemacs
Does your neck hurt from turning between previewer windows and the
source too often? This Elisp/LaTeX package will render your displayed
LaTeX equations right into the editing window where they belong. 

This package contains the lisp modules for XEmacs 21.1 or higher.  

%prep
%setup -c -q

%if %emacs
  mkdir emacs
  pushd emacs
  ln -sf ../%{name}-%{version}/* .
  popd
%endif

%if %xemacs
  mkdir xemacs
  pushd xemacs
  ln -sf ../%{name}-%{version}/* .
  popd
%endif

%build

for i in *emacs; do
  pushd $i
  # The below will make the package build from a tar straight from CVS
  # NOT RECOMMENDED, but useful for testing!
  test -f ./configure || ./autogen.sh
  # --with-texmf-dir overrides local docstrip configurations.
  # --with-packagedir repairs RedHat XEmacs braindamage
  %configure2_5x --with-$i --with-texmf-dir=\$\{datadir\}/texmf \
	--with-packagedir=\$\{datadir\}/xemacs/xemacs-packages \
        --disable-8bit-test
  make
  popd
done

%install 

rm -rf %{buildroot}
for i in *emacs; do
  pushd $i
  if [ $i == "emacs" ]; then 
    # Install GNU Emacs site-start.d file for Mandrake
    mkdir -p %{buildroot}%{_sysconfdir}/emacs/site-start.d
    install -c -m 644 preview-latex.el \
      %{buildroot}%{_sysconfdir}/emacs/site-start.d
  else
    # XEmacs MANIFEST doesn't get created unless the target dir exists
    mkdir -p %{buildroot}%{_datadir}/xemacs/xemacs-packages/pkginfo
  fi
  %makeinstall
  popd
done

rm -f %buildroot%_infodir/dir

# Package documentation in /usr/share/doc/preview-latex-n.n
# rather than /usr/share/doc/preview-latex-common-n.n
%define docs	    %{_defaultdocdir}/%{name}-%{version}
mkdir -p %{buildroot}%{docs}
pushd %{name}-%{version}
for i in ChangeLog circ.tex FAQ INSTALL PROBLEMS README \
    latex/README-preview RELEASE TODO doc/preview-latex.dvi patches; do
  cp -R $i %{buildroot}%{docs}
done

%clean
rm -rf %{buildroot}

%post common
%_install_info preview-latex.info
texhash /usr/share/texmf

%preun common
%_remove_install_info preview-latex.info

%files common
%defattr(-,root,root)
%dir %{_datadir}/texmf/tex/latex/preview
%{_datadir}/texmf/tex/latex/preview/*.sty
%{_datadir}/texmf/tex/latex/preview/*.def
%config(noreplace) %{_datadir}/texmf/tex/latex/preview/*.cfg
%doc %{_datadir}/texmf/doc/latex/styles/preview.dvi
%doc %{_infodir}/preview-latex.info*
%doc %{docs}

%if %emacs
%files emacs
%defattr(-,root,root)
%doc %{name}-%{version}/COPYING
%{_datadir}/emacs/site-lisp/preview
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/preview-latex.el 
%endif

%if %xemacs
%files xemacs
%defattr(-,root,root)
%doc %{name}-%{version}/COPYING
%{_datadir}/xemacs/xemacs-packages/lisp/preview
%{_datadir}/xemacs/xemacs-packages/etc/preview
%verify() %{_datadir}/xemacs/xemacs-packages/pkginfo/MANIFEST.preview
%endif

%changelog
* Thu Sep 11 2003 Warly <warly@mandrakesoft.com> 0.7.8-8mdk
- rebuild against xemacs-21.4.14

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-7mdk
- we really require emacs-X11
- rebuild against new xemacs

* Sat Apr  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-6mdk
- require fixed auctex package
- rebuild for new emacs

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-5mdk
- fix some rpmlint warnings
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-4mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-3mdk
- fix buildrequires

* Fri Feb 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-2mdk
- rebuild for new xemacs

* Fri Feb  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-1mdk
- Mandrake build

* Wed Aug  7 2002 David Kastrup <David.Kastrup@t-online.de>
- add FAQ

* Tue Apr 16 2002 David Kastrup <David.Kastrup@t-online.de>
- allow split info file, docs now go in preview-latex-n.n

* Mon Apr 15 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Docs now goes in preview-latex-n.n-n directory

* Wed Apr 10 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Triple-rpm simplifications

* Sun Mar 31 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Prepare for 0.7, initial triple rpm attempt

* Sun Mar 10 2002 David Kastrup <David.Kastrup@t-online.de>
- Prepare for 0.6.1

* Tue Feb 19 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Added site-start.d support and prauctex.cfg config file

* Thu Feb 14 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Adjusted for 0.6

* Wed Jan 23 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Initial build.
